## SYNOPSIS

             piconv [-f from_encoding] [-t to_encoding] [-s string] [files...]
             piconv -l

## DESCRIPTION

           piconv is perl version of iconv, a character encoding con
           verter widely available for various Unixen today.  This
           script was primarily a technology demonstrator for Perl
           5.8.0, but you can use piconv in the place of iconv for
           virtually any case.

           piconv converts the character encoding of either STDIN or
           files specified in the argument and prints out to STDOUT.

           Here is the  list of options.

           -f from_encoding
               Specifies the encoding you are converting from.
               Unlike iconv, this option can be omitted.  In such
               cases, the current locale is used.

           -t to_encoding
               Specifies the encoding you are converting to.  Unlike
               iconv, this option can be omitted.  In such cases, the
               current locale is used.

               Therefore, when both -f and -t are omitted, piconv
               just acts like cat.

           -s string
               uses string instead of file for the source of text.
               Same as iconv.

           -l  Lists all available encodings, one per line, in case-
               insensitive order.  Note that only the canonical names
               are listed; many aliases exist.  For example, the
               names are case-insensitive, and many standard and com
               mon aliases work, such as "latin1" for "ISO-8859-1",
               or "ibm850" instead of "cp850", or "winlatin1" for
               "cp1252".  See Encode::Supported for a full discus
               sion.

           -C N
               Check the validity of the stream if N = 1.  When N =
               -1, something interesting happens when it encounters
               an invalid character.

           -c  Same as "-C 1".

           -p  Same as "-C -1".

           -h  Show usage.

               perlio
                   The new perlIO layer is used.  NI-S' favorite.

               Like the -D option, this is also for Encode hackers.

## SEE ALSO

           iconv(1) locale(3) Encode Encode::Supported Encode::Alias
           PerlIO

    perl v5.8.0                 2003-03-13                  PICONV(1)